ApplicationForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.application.ApplicationForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.application
Class ApplicationForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.application.ApplicationForm

All Implemented Interfaces:
  java.io.Serializable

    public class ApplicationForm

extends ResourceForm

This is a type 4 resource per org.hyperic.hq.appdef.shared.AppdefEntityConstants

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ApplicationForm()`

Method Summary
`java.lang.String` | `getBusContact()` Returns the busContact.
`java.lang.String` | `getEngContact()` Returns the engContact.
`java.lang.String` | `getOpsContact()` Returns the opsContact.
`void` | `loadResourceValue(AppdefResourceValue resourceValue)` loads the server value
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setBusContact(java.lang.String busContact)` Sets the busContact.
`void` | `setEngContact(java.lang.String engContact)` Sets the engContact.
`void` | `setOpsContact(java.lang.String opsContact)` Sets the opsContact.
`java.lang.String` | `toString()`
`void` | `updateResourceValue(AppdefResourceValue resourceValue)` loads the server value

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationForm

    public ApplicationForm()

Method Detail

### getBusContact

    public java.lang.String getBusContact()

  Returns the busContact.

  Returns:
    String

### getEngContact

    public java.lang.String getEngContact()

  Returns the engContact.

  Returns:
    String

### getOpsContact

    public java.lang.String getOpsContact()

  Returns the opsContact.

  Returns:
    String

### setBusContact

    public void setBusContact(java.lang.String busContact)

  Sets the busContact.

  Parameters:
    `busContact` - The busContact to set

### setEngContact

    public void setEngContact(java.lang.String engContact)

  Sets the engContact.

  Parameters:
    `engContact` - The engContact to set

### setOpsContact

    public void setOpsContact(java.lang.String opsContact)

  Sets the opsContact.

  Parameters:
    `opsContact` - The opsContact to set

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

### loadResourceValue

    public void loadResourceValue(AppdefResourceValue resourceValue)

  Description copied from class: `ResourceForm`
  loads the server value

  Overrides:
    `loadResourceValue` in class `ResourceForm`

### updateResourceValue

    public void updateResourceValue(AppdefResourceValue resourceValue)

  Description copied from class: `ResourceForm`
  loads the server value

  Overrides:
    `updateResourceValue` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.